> ## Documentation Index
> Fetch the complete documentation index at: https://hilos-40.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an specific flow execution

> Get Flow Execution by Id.



## OpenAPI

````yaml get /api/flow-execution/{id}
openapi: 3.0.3
info:
  title: Hilos API
  version: 1.0.0
  description: >-
    All of the below API endpoints require API key authentication, get your
    token at https://app.hilos.io/dev/api-keys.


    To use this token, send with every request an `Authorization: Token <your
    token>` header.


    Production API server is located at api.hilos.io using HTTPS.


    No versioning info is required for now.
servers:
  - url: https://api.hilos.io
    description: Production Server
security: []
paths:
  /api/flow-execution/{id}:
    get:
      tags:
        - Flow Execution
      summary: Get Flow Execution
      description: Get Flow Execution by Id.
      operationId: Get Flow Execution
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A Flow Execution Id to retrive.
          required: true
          examples:
            QueryById:
              value: a3ff7ee5-0c11-49e2-a0d6-7e316626f7b1
              summary: Query by Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowExecutionReadDetail'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    FlowExecutionReadDetail:
      type: object
      properties:
        status:
          allOf:
            - $ref: '#/components/schemas/FlowExecutionStatusEnum'
          readOnly: true
          description: The status of the Flow Execution.
        execute_for:
          $ref: '#/components/schemas/FlowExecutionExecuteForEnum'
        inbound_trigger_with:
          $ref: '#/components/schemas/InboundTriggerWithEnum'
        inbound_start_message:
          type: string
          nullable: true
        inbound_start_message_match_exact:
          type: boolean
        id:
          type: string
          format: uuid
        has_priority:
          type: boolean
        flow_execution_variables:
          type: object
          additionalProperties: {}
        start_on:
          type: string
          format: date-time
          nullable: true
        num_contacts:
          type: integer
          maximum: 2147483647
          minimum: 0
        expired:
          type: integer
          maximum: 2147483647
          minimum: 0
        running:
          type: integer
          maximum: 2147483647
          minimum: 0
        completed:
          type: integer
          maximum: 2147483647
          minimum: 0
        canceled:
          type: integer
          maximum: 2147483647
          minimum: 0
        failed:
          type: integer
          maximum: 2147483647
          minimum: 0
        created_on:
          type: string
          format: date-time
          title: Creado el
        avg_completion_time:
          type: string
        created_by:
          allOf:
            - $ref: '#/components/schemas/SimpleUser'
          description: The User that created the Flow Execution.
        contact_filters:
          type: array
          items:
            $ref: '#/components/schemas/FlowExecutionContactFilterEdit'
          description: >-
            The filters to use to get the Contacts that the Flow Execution will
            run for. This field isn't required if executing the flow for a
            Contact List
        contact_import:
          type: string
          format: uuid
          nullable: true
        flow:
          allOf:
            - $ref: '#/components/schemas/FlowSimpleRead'
          description: The Flow that the Flow Execution is running.
        flow_version:
          allOf:
            - $ref: '#/components/schemas/FlowVersionSimpleRead'
          description: The Flow Version that the Flow Execution is running.
        execution_type:
          $ref: '#/components/schemas/FlowExecutionExecutionTypeEnum'
        last_run_on:
          type: string
          readOnly: true
          description: The last time that the Flow Execution was run.
      required:
        - created_by
        - execute_for
        - execution_type
        - flow
        - flow_version
        - last_run_on
        - status
    FlowExecutionStatusEnum:
      enum:
        - PROCESSING
        - READY
        - AWAITING_CONFIRMATION
        - CONFIRMED
        - STARTING
        - RUNNING
        - COMPLETED
        - CANCELED
        - PAUSED
      type: string
    FlowExecutionExecuteForEnum:
      enum:
        - FILTERS
        - LIST
        - ALL
      type: string
    InboundTriggerWithEnum:
      enum:
        - ANY_MESSAGE
        - TEXT
        - IMAGE
        - FILE
      type: string
    SimpleUser:
      type: object
      properties:
        first_name:
          type: string
          maxLength: 150
        last_name:
          type: string
          maxLength: 150
        email:
          type: string
          format: email
          title: Email address
          maxLength: 254
        id:
          type: integer
          readOnly: true
        profile_image:
          type: string
          format: uri
          nullable: true
        role:
          $ref: '#/components/schemas/UserRoleEnum'
      required:
        - id
    FlowExecutionContactFilterEdit:
      type: object
      properties:
        field:
          type: string
        comparison:
          $ref: '#/components/schemas/ComparisonEnum'
        value:
          type: string
        id:
          type: string
          format: uuid
      required:
        - comparison
        - field
        - value
    FlowSimpleRead:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          maxLength: 100
        created_by:
          allOf:
            - $ref: '#/components/schemas/SimpleUser'
          readOnly: true
        created_on:
          type: string
          format: date-time
          title: Creado el
        is_active:
          type: boolean
        status:
          $ref: '#/components/schemas/FlowStatusEnum'
        is_legacy:
          type: boolean
        channel:
          allOf:
            - $ref: '#/components/schemas/SimpleChannel'
          readOnly: true
        flow_execution_variables:
          type: array
          items:
            type: string
            maxLength: 255
          nullable: true
      required:
        - channel
        - created_by
        - id
        - name
    FlowVersionSimpleRead:
      type: object
      properties:
        execution_type:
          $ref: '#/components/schemas/FlowExecutionTypeEnum'
        id:
          type: string
          format: uuid
        flow:
          $ref: '#/components/schemas/FlowSimpleRead'
        is_current_version:
          type: boolean
          readOnly: true
        version_name:
          type: string
          maxLength: 255
        version_description:
          type: string
          nullable: true
        published_by:
          allOf:
            - $ref: '#/components/schemas/SimpleUser'
          readOnly: true
        created_on:
          type: string
          format: date-time
          title: Creado el
        last_updated_on:
          type: string
          format: date-time
          readOnly: true
          title: Última actualización el
        num_contacts:
          type: integer
          maximum: 2147483647
          minimum: 0
        completed:
          type: integer
          maximum: 2147483647
          minimum: 0
        expired:
          type: integer
          maximum: 2147483647
          minimum: 0
        running:
          type: integer
          maximum: 2147483647
          minimum: 0
        canceled:
          type: integer
          maximum: 2147483647
          minimum: 0
        failed:
          type: integer
          maximum: 2147483647
          minimum: 0
        avg_completion_time:
          type: string
      required:
        - execution_type
        - flow
        - is_current_version
        - last_updated_on
        - published_by
    FlowExecutionExecutionTypeEnum:
      enum:
        - INBOUND
        - OUTBOUND
        - API
        - FROM_FLOW
      type: string
    UserRoleEnum:
      enum:
        - AGENT
        - MANAGER
        - ADMIN
        - FINANCE
      type: string
    ComparisonEnum:
      enum:
        - exact
        - '!exact'
        - gte
        - gt
        - lte
        - lt
        - isnull
        - '!isnull'
        - icontains
        - '!icontains'
      type: string
    FlowStatusEnum:
      enum:
        - DRAFT
        - PUBLISHED
      type: string
    SimpleChannel:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        channel_type:
          $ref: '#/components/schemas/ChannelTypeEnum'
        name:
          type: string
          maxLength: 100
        channel_id:
          type: string
          maxLength: 100
        status:
          $ref: '#/components/schemas/ChannelStatusEnum'
        created_on:
          type: string
          format: date-time
          title: Creado el
        channel_provider:
          $ref: '#/components/schemas/ChannelProviderEnum'
        is_sandbox:
          type: boolean
      required:
        - channel_id
        - id
    FlowExecutionTypeEnum:
      enum:
        - INBOUND
        - OUTBOUND
      type: string
    ChannelTypeEnum:
      enum:
        - WHATSAPP
        - EMAIL
        - INSTAGRAM
        - FB_MESSENGER
        - TELEGRAM
        - SMS
        - VOICE
      type: string
    ChannelStatusEnum:
      enum:
        - NEW
        - ACTIVE
        - INACTIVE
      type: string
    ChannelProviderEnum:
      enum:
        - META_CLOUD_API
        - TECH_PROVIDER_CLOUD_API
        - D360_CLOUD_API
        - 360DIALOG
      type: string
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````